# NetReg Global Variables File -- Version 1.3rc2
#----------------------------------------------------------------------------\
# Global Variables and modules
#----------------------------------------------------------------------------\
  $AUTH_METHOD = "FTP";  # possible values: (FTP|POP)

  if ($AUTH_METHOD eq "POP") { use Mail::POP3Client; }
  elsif ($AUTH_METHOD eq "FTP") { use Net::FTP; }
  elsif ($AUTH_METHOD eq "IMAP") { use Net::IMAP::Simple; }

  $POPSERVER = "0.0.0.0";
  $FTPSERVER = "143.44.65.11";
  $IMAPSERVER = "0.0.0.0";
  $GFX = "/gfx";
  $ADMINPATH = "/cgi-bin/admin";
  $LEASESPATH = "/var/state/dhcp";
  $LEASESFILE = "dhcpd.leases";
  $DHCPDCONFPATH = "/etc/dhcpd";
  $DHCPDCONFFILE = "dhcpd.conf";
  $ERROR_LOG = "/var/log/register_error.log";
  $SUBNETFILE = "/etc/netreg/subnet.dat";

  # The value of $DDNS_USE_HOST_DECL is only of importance if you
  # employ DDNS.
  # 0 = use the host-supplied hostname to update A and PTR records
  # 1 = use the derived hostname in the dhcpd.conf host declaration
  #     as the hostname in DDNS updates, e.g. username-N.
  $DDNS_USE_HOST_DECL = 1;

  $IP = $ENV{'REMOTE_ADDR'};

  # Set to URL or "" if you do not have an online directory application
  # Remember to URL-encode special characters. Leave <USERNAME> where the
  # username should be substituted into the URL.
  $LDAP_URL = "http://find.lawrence.edu/cgi-bin/directory/campusDirect.cgi" .
              "\?=sid=\&op=viewuser\&selectdn=cn=" . "<USERNAME>" .
              ",ou=public,ou=student,l=Appleton,ou=campus," .
              "dc=lawrence,dc=edu";
#----------------------------------------------------------------------------/

#----------------------------------------------------------------------------\
# Print out the header HTML
#----------------------------------------------------------------------------\
  sub print_custom_header {
    print "content-type: text/html\n\n";
    print "<html><head><META HTTP-EQUIV=\"EXPIRES\" CONTENT=\"0\">";
    print "<title>Online Network Registration</title>";
    print "</head> <body TEXT=\#000000 BGCOLOR=\#FFFFFF LINK=\#705F56";
    print "VLINK=\#4B4B4B BACKGROUND=/gfx/background.jpg>";
    print "<table BORDER=0 CELLSPACING=0 CELLPADDING=0 halign=left><tr>";
    print "<td ALIGN=LEFT VALIGN=TOP WIDTH=185>";
    print "<center><img src=/gfx/spacer.gif>";
    print "</center><P> </td> <td ALIGN=LEFT VALIGN=TOP>";
    print "<center><img SRC=/gfx/lu_logo.gif>";
    print "<p>";
  }
#----------------------------------------------------------------------------/

#----------------------------------------------------------------------------\
# Print out the footer HTML
#----------------------------------------------------------------------------\
  sub print_custom_footer {
    print "<P></center></td></tr><tr><td>&nbsp;</td></tr><tr><td></td>";
    print "<td ALIGN=CENTER>";
    print "&copy;2002 Lawrence University";
    print "\"></td></tr>";
    print "</table></body></html>";
  }
#----------------------------------------------------------------------------/
1;
